#include <common/vxdctrl.hpp>
#include <common/version.hpp>

VxDControl::VxDControl(const String &pathFileName)
{
  WinVersionInfo versionInfo;
	if(versionInfo.isWinNT())open(pathFileName,FileHandle::ReadWrite,FileHandle::ShareReadWrite,FileHandle::Open,FileHandle::Normal);
	else open(pathFileName,FileHandle::Query,FileHandle::ShareNone,FileHandle::Create,FileHandle::FlagDeleteOnClose);
}

VxDControl::~VxDControl()
{
}


